> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/truckers.md).

# Truckers

## GET /manager-truckers/

> List all truckers

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Truckers":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Trucker"},"type":"array"}},"type":"object"},"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/manager-truckers/":{"get":{"operationId":"listTruckers","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Truckers"}}},"description":"Get successful"}},"summary":"List all truckers","tags":["Truckers"]}}}}
````

## POST /manager-truckers/

> Create a trucker

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewTrucker":{"properties":{"user":{"$ref":"#/components/schemas/NewUser"},"phone_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"tags":{"description":"List of tags applied to the vehicle.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["user"],"type":"object"},"NewUser":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"}}},"paths":{"/manager-truckers/":{"post":{"operationId":"createTruckers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewTrucker"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trucker"}}},"description":"Create successful"}},"summary":"Create a trucker","tags":["Truckers"]}}}}
````

## GET /manager-truckers/{pk\_or\_remote\_id}/

> Read a trucker

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/manager-truckers/{pk_or_remote_id}/":{"get":{"operationId":"readTruckers","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trucker"}}},"description":"Get successful"}},"summary":"Read a trucker","tags":["Truckers"]}}}}
````

## DELETE /manager-truckers/{pk\_or\_remote\_id}/

> Delete a trucker

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"inline_response_404_2":{"properties":{"detail":{"type":"string"}},"type":"object"}}},"paths":{"/manager-truckers/{pk_or_remote_id}/":{"delete":{"operationId":"deleteTrucker","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty body"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404_2"}}},"description":"Trucker not found"}},"summary":"Delete a trucker","tags":["Truckers"]}}}}
````

## PATCH /manager-truckers/{pk\_or\_remote\_id}/

> Partially update a trucker

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewTrucker":{"properties":{"user":{"$ref":"#/components/schemas/NewUser"},"phone_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"tags":{"description":"List of tags applied to the vehicle.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["user"],"type":"object"},"NewUser":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"}}},"paths":{"/manager-truckers/{pk_or_remote_id}/":{"patch":{"operationId":"partialUpdateTruckers","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewTrucker"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trucker"}}},"description":"Update successful"}},"summary":"Partially update a trucker","tags":["Truckers"]}}}}
````

## Lease a trucker

> Give access to your trucker from another carrier Dashdoc account. \
> \
> The trucker will be seen as a rented trucker in the other carrier account. We will call this one the tenant carrier. The difference from creating it as a rented trucker in the web app is the trucker's \`pk\` is the same in the tenant carrier account and can be used to assign the trucker to a transport. In case you delete your own trucker, this one won't be available anymore for the tenant carrier. \
> \
> \*\*Prerequisite:\*\* the tenant carrier account and your own have to be reachable from one another (partner link, see with your Dashdoc project manager).

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"LeaseTrucker":{"properties":{"tenant_carrier":{"$ref":"#/components/schemas/LeaseTrucker_tenant_carrier"}},"required":["tenant_carrier"],"type":"object"},"LeaseTrucker_tenant_carrier":{"description":"Carrier to whom you wish to lease the trucker. Identified either by its `pk` or `remote_id`.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if pk is sent.","type":"string"}},"type":"object"},"LeaseTruckerManagerNotLinkedError":{"properties":{"non_field_errors":{"$ref":"#/components/schemas/LeaseTruckerManagerNotLinkedError_non_field_errors"}},"type":"object"},"LeaseTruckerManagerNotLinkedError_non_field_errors":{"properties":{"code":{"items":{"type":"string"},"type":"array"},"detail":{"items":{"type":"string"},"type":"array"}},"type":"object"},"LeaseTruckerManagerNotFoundError":{"properties":{"non_field_errors":{"$ref":"#/components/schemas/LeaseTruckerManagerNotFoundError_non_field_errors"}},"type":"object"},"LeaseTruckerManagerNotFoundError_non_field_errors":{"properties":{"code":{"items":{"type":"string"},"type":"array"},"detail":{"items":{"type":"string"},"type":"array"}},"type":"object"}}},"paths":{"/manager-truckers/{pk}/lease/":{"post":{"description":"Give access to your trucker from another carrier Dashdoc account. \n\nThe trucker will be seen as a rented trucker in the other carrier account. We will call this one the tenant carrier. The difference from creating it as a rented trucker in the web app is the trucker's `pk` is the same in the tenant carrier account and can be used to assign the trucker to a transport. In case you delete your own trucker, this one won't be available anymore for the tenant carrier. \n\n**Prerequisite:** the tenant carrier account and your own have to be reachable from one another (partner link, see with your Dashdoc project manager).","operationId":"leaseTrucker","parameters":[{"in":"path","name":"pk","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeaseTrucker"}}},"required":true},"responses":{"200":{"description":"Empty body"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeaseTruckerManagerNotLinkedError"}}},"description":"Employer carrier and tenant carrier are not linked."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeaseTruckerManagerNotFoundError"}}},"description":"Tenant carrier could not be found"}},"summary":"Lease a trucker","tags":["Truckers"]}}}}
````

## POST /manager-truckers/{pk}/generate-invite-code/

> Generate an invite code

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/manager-truckers/{pk}/generate-invite-code/":{"post":{"operationId":"generateInviteCodeTruckers","parameters":[{"description":"The trucker's primary key","in":"path","name":"pk","required":true,"schema":{"type":"number"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trucker"}}},"description":"Invite code generated successfully"}},"summary":"Generate an invite code","tags":["Truckers"]}}}}
````

## Create an unavailability for a trucker for a given period

> A trucker can be marked as unavailable for a given period of time for various reasons. These unavailabilities are marked on the planning or can be accessed by API by fetching the trucker.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CreateUnavailability":{"properties":{"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/manager-truckers/{pk}/unavailability/":{"post":{"description":"A trucker can be marked as unavailable for a given period of time for various reasons. These unavailabilities are marked on the planning or can be accessed by API by fetching the trucker.","operationId":"createTruckerUnavailability","parameters":[{"description":"The trucker's primary key","in":"path","name":"pk","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUnavailability"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trucker"}}},"description":"Successfully created the unavailability, returns the trucker, which contains the unavailability."}},"summary":"Create an unavailability for a trucker for a given period","tags":["Truckers"]}}}}
````

## DELETE /manager-truckers/{pk}/unavailability/{pk\_unavailability}/

> Delete an unavailability for a trucker

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/manager-truckers/{pk}/unavailability/{pk_unavailability}/":{"delete":{"operationId":"deleteTruckerUnavailability","parameters":[{"description":"The trucker's primary key","in":"path","name":"pk","required":true,"schema":{"type":"number"}},{"description":"The unavailability's primary key","in":"path","name":"pk_unavailability","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"Empty body"}},"summary":"Delete an unavailability for a trucker","tags":["Truckers"]}}}}
````

## PATCH /manager-truckers/{pk}/unavailability/{pk\_unavailability}/

> Partially update an unavailability for a trucker

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Truckers"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateUnavailability":{"properties":{"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Trucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/User"},"phone_number":{"type":"string"},"invite_code":{"description":"Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.","type":"string"},"app_version":{"description":"Ignore. Dashdoc technical data.","type":"number"},"readable_app_version":{"description":"Ignore. Dashdoc technical data.","type":"string"},"platform":{"description":"Ignore. Dashdoc technical data.","type":"string"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"carrier":{"$ref":"#/components/schemas/Company"},"is_rented":{"type":"boolean"},"phone_number_personal":{"type":"string"},"address":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"country_code":{"$ref":"#/components/schemas/country"},"driving_license_number":{"type":"string"},"driving_license_deadline":{"format":"date-time","type":"string"},"adr_license_deadline":{"format":"date-time","type":"string"},"carrist_license_deadline":{"format":"date-time","type":"string"},"occupational_health_visit_deadline":{"format":"date-time","type":"string"},"new_app_update_available":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"},"tags":{"description":"List of tags applied to the trucker.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"User":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"email":{"format":"email","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"last_login":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/manager-truckers/{pk}/unavailability/{pk_unavailability}/":{"patch":{"operationId":"partialUpdateTruckerUnavailability","parameters":[{"description":"The trucker's primary key","in":"path","name":"pk","required":true,"schema":{"type":"number"}},{"description":"The unavailability's primary key","in":"path","name":"pk_unavailability","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUnavailability"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trucker"}}},"description":"Successfully updated the unavailability, returns the trucker, which contains the unavailability."}},"summary":"Partially update an unavailability for a trucker","tags":["Truckers"]}}}}
````
